/**
 *******************************************************************************
 * @file    tmpm333_fc.h
 * @brief   This file provides all the functions prototypes for FC driver.
 * @version V2.1.1
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM333_FC_H
#define __TMPM333_FC_H

#ifndef TMPM333FDFG
#define TMPM333FDFG

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "TMPM333.h"
#include "tx03_common.h"

#if defined(__TMPM330_FC_H) || defined(__TMPM332_FC_H) || defined(__TMPM333_FC_H)
/** @addtogroup TX03_Periph_Driver
  * @{
  */

/** @addtogroup FC
  * @{
  */

/** @addtogroup FC_Exported_types
  * @{
  */
#if defined(__TMPM330_FC_H) || defined(__TMPM333_FC_H)
#if defined(TMPM330FDFG) || defined(TMPM333FDFG)
    typedef enum {
        FC_BLOCK_0 = 0,
        FC_BLOCK_1 = 1,
        FC_BLOCK_2 = 2,
        FC_BLOCK_3 = 3,
        FC_BLOCK_4 = 4,
        FC_BLOCK_5 = 5
    } FC_BlockNum;

#define IS_FC_BLOCK_NUM(param)  (((param) == FC_BLOCK_0)|| \
                                 ((param) == FC_BLOCK_1)|| \
                                 ((param) == FC_BLOCK_2)|| \
                                 ((param) == FC_BLOCK_3)|| \
                                 ((param) == FC_BLOCK_4)|| \
                                 ((param) == FC_BLOCK_5))

#endif                          /* (TMPM330FDFG) || (TMPM333FDFG) */
#elif defined(__TMPM332_FC_H)
#ifdef TMPM332FWUG
    typedef enum {
        FC_BLOCK_0 = 0,
        FC_BLOCK_1 = 1,
        FC_BLOCK_2 = 2,
        FC_BLOCK_3 = 3
    } FC_BlockNum;

#define IS_FC_BLOCK_NUM(param)  (((param) == FC_BLOCK_0)|| \
                                 ((param) == FC_BLOCK_1)|| \
                                 ((param) == FC_BLOCK_2)|| \
                                 ((param) == FC_BLOCK_3))
#endif                          /* (TMPM332FWUG) */
#endif                          /* (__TMPM330_FC_H) || (__TMPM333_FC_H) */
/** @} */
/* End of group FC_Exported_types */

/** @defgroup FC_Exported_FunctionPrototypes
  * @{
  */

    void FC_SetSecurityBit(FunctionalState NewState);
    FunctionalState FC_GetSecurityBit(void);
    WorkState FC_GetBusyState(void);
    FunctionalState FC_GetBlockProtectState(FC_BlockNum BlockNum);

/** @} */
/* End of group FC_Exported_FunctionPrototypes */

/** @} */
/* End of group FC */

/** @} */
/* End of group TX03_Periph_Driver */
#endif                          /*(__TMPM330_FC_H) || (__TMPM332_FC_H) || (__TMPM333_FC_H) */

#ifdef __cplusplus
}
#endif
#endif                          /* TMPM333FDFG */
#endif                          /* __TMPM333_FC_H */
